Subject: Re: [RFC 06/11 v2] fast-import: Add support for importing commit notes

From: Johan Herland <[email-masked]>
Date: Thu, 30 Jul 2009 01:08:51 +0200

On Wednesday 29 July 2009, Junio C Hamano wrote:
> Johan Herland <[email-masked]> writes:
> > Introduce a 'notemodify' subcommand of the 'commit' command. This
> > subcommand is similar to 'filemodify', except that no mode is supplied
> > (all notes have mode 0644), and the path is set to the hex SHA1 of the
> > given "comittish".
> >
> > This enables fast import of note objects along with their associated
> > commits, since the notes can now be named using the mark references of
> > their corresponding commits.
> >
> > The patch also includes a test case of the added functionality.
> >
> > Signed-off-by: Johan Herland <[email-masked]>
>
> Thanks.
>
> Replacing this will cascade to the rest of the series, right?

Not sure what you mean by "cascade to the rest of the series". If you just 
replace 06/11_v1 with 06/11_v2, things will stop working (since 10/11 and 
11/11 needs a corresponding update of their fast-import commands).

On the other hand, I have moved this patch into the jh/notes series (which I 
updated/resent last night).

I will update/resend this patch series tomorrow, with suggested fixes, and 
rebased onto the updated jh/notes series.

...Johan

-- 
Johan Herland, <[email-masked]>
www.herland.net